#!/bin/bash
set -euo pipefail


########################
###
### Update de modules OCA
###
########################


source ./modules_OCA.env


echo "=== Mise à jour de la liste des addons ==="
docker exec "${ODOO_CONTAINER}" \
	chown -R odoo:odoo /var/lib/odoo/filestore

docker exec -u odoo "${ODOO_CONTAINER}" \
    odoo \
    -c /etc/odoo/odoo.conf \
    -d "${DB_NAME}" \
    -u "${OCA_MODULES}" \
    --stop-after-init \
    --no-http \
    --logfile "" \
    --log-level info


echo "=== Mise à jour terminée ==="
